## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate cap-time-ext

Name:           rust-%{crate}
Version:        0.24.2
Release:        %autorelease
Summary:        Extension traits for SystemClock and MonotonicClock

# Upstream license specification: Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/cap-time-ext
Source:         %{crates_source}
# Initial patched metadata
# * drop windows-specific dependencies
Patch0:         cap-time-ext-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Extension traits for `SystemClock` and `MonotonicClock`.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-Apache-2.0_WITH_LLVM-exception
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cap-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cap-std-devel %{_description}

This package contains library source intended for building other packages which
use the "cap-std" feature of the "%{crate}" crate.

%files       -n %{name}+cap-std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Apr 13 2022 Fabio Valentini <decathorpe@gmail.com> 0.24.2-1
- Update to version 0.24.2; Fixes RHBZ#2052751

* Sat Feb 05 2022 Fabio Valentini <decathorpe@gmail.com> 0.22.1-1
- Initial import (#1971773)
